<?php
# phpStat
#
# Copyright (C) 2005  <Andre Cohen> - andre.cohen@gmail.com
# http://phpstat.sourceforge.net/journal
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
include("../../data.inc");

function parseLine($line)
{
	if(strstr($line," Start ("))
	{
		return parseStart($line);
	}
	else if(strstr($line," Close ("))
	{
		return parseEnd($line);
	}
	else
		return parseMid($line);
	
}

function translateMonth($m)
{
	if($m=="Jan")	return 1;
	if($m=="Feb")	return 2;
	if($m=="Mar")	return 3;
	if($m=="Apr")	return 4;
	if($m=="May")	return 5;
	if($m=="Jun")	return 6;
	if($m=="Jul")	return 7;
	if($m=="Aug")	return 8;
	if($m=="Sep")	return 9;
	if($m=="Oct")	return 10;
	if($m=="Nov")	return 11;
	if($m=="Dec")	return 12;
	
	
}

function parseStart($line)
{
	$exp="Start.\(([a-zA-Z0-9]+):([a-zA-Z0-9]+)\):.([a-zA-Z]+).([a-zA-Z]+).([0-9]+).([0-9]+):([0-9]+):([0-9]+).([0-9]+)";
	ereg($exp,$line,$res);
	$data=newLineData();
	
	$data['userA']=$res[1];
	$data['userB']=$res[2];
	
	$data['year']=$res[9];
	$data['month']=translateMonth($res[4]);
	$data['day']=$res[5];
	
	$data['hour']=$res[6];
	$data['minute']=$res[7];
	$data['second']=$res[8];
	
	$data['type']="start";
	
	return $data;
}

function parseMid($line)
{
	$exp="^\[([0-9]+):([0-9]+)\] ([a-zA-Z0-9]+)\: (.+)";
	ereg($exp,$line,$res); 
	$data=newLineData();
	
	$data['userA']=$res[3];
	
	$data['hour']=$res[1];
	$data['minute']=$res[2];
	
	$data['text']=$res[4];
	$data['type']="mid";
	
	return $data;
}

function parseEnd($line)
{
	$exp="Close.\(([a-zA-Z0-9]+)\):.([a-zA-Z]+).([a-zA-Z]+).([0-9]+).([0-9]+):([0-9]+):([0-9]+).([0-9]+)";
	ereg($exp,$line,$res);
	$data=newLineData();
	
	$data['userA']=$res[1];
	
	$data['year']=$res[8];
	$data['month']=translateMonth($res[3]);
	$data['day']=$res[4];
	
	$data['hour']=$res[5];
	$data['minute']=$res[6];
	$data['second']=$res[7];
	
	$data['type']="end";
	
	return $data;
}
?>
